Package uk.ac.starlink.topcat

## Interface CheckBoxStack.Annotator

- Enclosing class:
    CheckBoxStack

      public static interface CheckBoxStack.Annotator

  Defines how to get annotations for check box items.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.awt.Component` | `createAnnotation​(java.lang.Object item)` | Returns a new annotation for the given item.

- - ### Method Detail

    - #### createAnnotation

          java.awt.Component createAnnotation​(java.lang.Object item)

      Returns a new annotation for the given item.
      Parameters:
        `item` - item to be annotated
      Returns:
        new annotation component